### Method

# Gtk Editable get_complete_text

unstable since: 4.24

#### Declaration [src]

    char*
    gtk_editable_get_complete_text (
      GtkEditable* editable
    )

#### Description [src]

Retrieves the contents of `editable`, including pseudo-content such as the preedit buffer.

Available since: 4.24

Gets property | `Gtk.Editable:complete-text`

#### Return value

Type: `char*`

The complete contents of the editable.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.